## apngdis 2.5

=== Makefile ===
all:
	gcc -std=c99 -Wall -pedantic -O2 -o apngdis apngdis.c -lz

=== debian/changelog ===
apngdis (2.5-1) unstable; urgency=low

  * Initial release (Closes: #663416).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Jun 2013 08:15:35 +0300

=== debian/control ===
Source: apngdis
Section: graphics
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libz-dev
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/apngdis
Vcs-Git: git://anonscm.debian.org/collab-maint/apngdis.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apngdis.git;a=summary

Package: apngdis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apng2gif
Description: deconstruct APNG file into a sequence of PNG frames
 Extract invividual PNG files from animated PNG.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = apngdis
BIN	= $(PACKAGE)
CC     ?= gcc
LIBS	= -lz

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS	+= -Wall -std=c99
LDFLAGS += -Wl,--as-needed

include debian/pod2man.mk

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(PACKAGE).c -o $(BIN) $(LIBS)

override_dh_installchangelogs:
	dh_installchangelogs readme.txt

%:
	dh $@

# End of file

## apngdis 2.9

=== Makefile ===
PACKAGE    = apngdis
CC         = gcc
CFLAGS     = -Wall -pedantic
CFLAGS_OPT = -O2
LIBS       = -lstdc++ -lm -lpng -lz

all :
	$(CC) $(CFLAGS) $(CFLAGS_OPT) -o $(PACKAGE) $(PACKAGE).cpp -s $(LIBS)

.PHONY : clean

clean : 
	rm -rf $(PACKAGE)

=== debian/changelog ===
apngdis (2.9-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:09 +1100

apngdis (2.9-6build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:02:36 +0000

apngdis (2.9-6) unstable; urgency=medium

  * Bump Standards-Version: 4.6.2
  * d/control: Homepage: URL add a trailing slash, avoid javascript redirect.
    This is a suggestion from https://repology.org
  * d/copyright: update year info to 2023
  * d/rules: add execute_before_dh_installman target
  * d/u/metadata: add Repository: URL
  * run wrap-and-sort -a -s -b -k -t

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 13 Apr 2023 17:40:01 +0800

apngdis (2.9-5) unstable; urgency=medium

  [ Bastian Germann ]
  * d/copyright: Remove non-standard fields
  * d/watch: use apngdis-@ANY_VERSION@-src@ARCHIVE_EXT@

  [ Nilesh Patra ]
  * Fix FTCBFS: Let buildtools.mk pass in the right compiler

  [ xiao sheng wen ]
  * move the Comment of bug tracker from d/copyright to d/upstream/metadata

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 09 Jul 2022 00:26:47 +0800

apngdis (2.9-4) unstable; urgency=medium

  * New maintainer (Closes: #826283)
  * d/copyright: add 2022 xiao sheng wen <atzlinux@sina.com>
  * d/control: clean, remove CFLAGS LDFLAGS include lines
  * d/clean: delete no need lines
  * d/apngdis.1.pod:
      - update STANDARDS to https://wiki.mozilla.org/APNG_Specification
      - fix typo
  * Update watch file format version to 4,
    match sf.net entry for newest uscan.
  * delete d/repack.sh, useless
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1.0, no changes needed.

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 05 Jul 2022 12:40:36 +0800

apngdis (2.9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 28 Oct 2020 23:40:33 +0000

apngdis (2.9-2) unstable; urgency=medium

  * QA upload.
  * Fix ftcbfs. (Closes: #928459)
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Move Vcs to debian namespace in salsa.
  * Use https with copyright format uri.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Jan 2020 14:43:36 +0000

apngdis (2.9-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream 2.9. (Closes: #945989)
  * Update Standards-Version to 4.4.1.
  * Update compat level to 12.
  * Add new dependency.
  * Push to salsa and update Vcs.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 27 Dec 2019 21:05:32 +0000

apngdis (2.5-2) unstable; urgency=medium

  * QA upload.
  * Orphaning package, maintainer not active.
  * Bump Policy Standards-Version to 3.9.8 (no changes needed)
  * Update Vcs-* URLs
  * Fix typo in description, thanks Pascal De Vuyst (Closes: #732778)
  * Use build date for manpage (for reproducible builds).  Thanks Reiner
    Herrmann.  (Closes: #782197)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 May 2016 11:18:11 +0100

=== debian/control ===
Source: apngdis
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 libstdc++6,
 libz-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/apngdis/
Vcs-Git: https://salsa.debian.org/debian/apngdis.git
Vcs-Browser: https://salsa.debian.org/debian/apngdis

Package: apngdis
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 apng2gif,
Description: deconstruct APNG file into a sequence of PNG frames
 Extract individual PNG files from animated PNG.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = apngdis
BIN	= $(PACKAGE)
LIBS	= -lm -lpng -lz -lstdc++

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildtools.mk

include debian/pod2man.mk

execute_before_dh_installman:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(PACKAGE).cpp -o $(BIN) $(LIBS)

override_dh_installchangelogs:
	dh_installchangelogs readme.txt

%:
	dh $@

# End of file
